[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Debian support of ATI video cards

I'm trying to decide what video card to get in my next computer.

ATI summarizes their Linux support here:

They say they have a driver with 2D acceleration only for:

 RADEON 9700 
 RADEON 9000 
 RADEON 8500 
 FireGL Workstation products

but that XFree86 already supports "most ATI graphics adapters".  The
XFree86 site (http://www.xfree86.org/4.2.1/Status6.html#6) says
"Accelerated support is provided for Mach64, Rage, Rage 128 and Radeon
chips by the "ati" driver" but they don't specify 2D or 3D
acceleration.  I guess this code is in

For 3D acceleration:

At their web site (http://mirror.ati.com/support/driver.html) ATI
offers an RPM file (fglrx-glc22-4.2.0-2.5.1.i586.rpm) with a driver
supporting these cards under XFree86 4.2.0:

 RADEON 9700
 RADEON 9000
 RADEON 8500

Can that RPM be installed in a Debian system with alien?
Is there a Debian package?  (I couldn't find one.)
If not, do the files from the RPM overlap those from 
the xserver-xfree86 package?  Other packages?

ATI points to the DRI project (http://dri.sourceforge.net/)
for drivers to support:
 RAGE 128
with Debian packages at http://people.debian.org/~daenzer/dri-trunk/

However, the Rage PRO at least is apparently five years old.  In a 1998
review Tom's Hardware says

  "So what's with the ATI Rage Pro chip? I can't help it, but this chip
  lacks in too many cases to be worth a recommendation.  It does not
  support GLQuake's or Quake II's OpenGL engine, it has obvious problems
  with Direct3D, it has got only very weak support of professional
  OpenGL under NT, so that it doesn't leave much else than its excellent
  2D performance in combination with its video in/out features."

Hardly a glowing recommendation.

Do the Debian packages of the DRI software have any support for the
newer adaptors?

Maybe I should get an NVidea card after all.  I understand there are
no open-source accelerated drivers, but there are binary drivers, and
I see we have these packages:

 nvidia-glx-src - NVIDIA binary XFree86 4.x driver
 nvidia-kernel-src - NVIDIA binary kernel module

		- Jim Van Zandt

Reply to: